module Lifen

  require 'virtus'
  require 'faraday'
  require 'inflecto'
  require 'base64'

  require "lifen/version"

  require 'lifen/error'
  require 'lifen/client'
  require 'lifen/user_authenticated_client'
  require 'lifen/app_authenticated_client'
  require 'lifen/configuration'
  require 'lifen/base'
  
  require 'lifen/channel'
  require 'lifen/practitioner'
  require 'lifen/category'
  require 'lifen/medium'
  require 'lifen/attachment'
  require 'lifen/binary'
  require 'lifen/patient'
  require 'lifen/content_string'
  require 'lifen/communication_request'

  Virtus.finalize

end
