module Lifen

  class Error < StandardError
  end

  class UnauthorizedError < Error
  end

  class InvalidCredentialsError < Error
  end

  class InvalidParamsError < Error
  end

  class InvalidSecretTokenError < Error
  end

  class InvalidTokenError < Error
  end

  class UserAlreadyExistingError < Error
  end

  class CantRefreshTokenError < Error
  end

end